b82d67fec9
Do not mark .mo files as %doc OBS-URL: https://build.opensuse.org/request/show/81142 OBS-URL: https://build.opensuse.org/package/show/Base:System/rpm?expand=0&rev=144
155 lines
4.4 KiB
Diff
155 lines
4.4 KiB
Diff
Index: scripts/find-lang.sh
|
|
===================================================================
|
|
--- scripts/find-lang.sh.orig
|
|
+++ scripts/find-lang.sh
|
|
@@ -28,10 +28,10 @@ the top of the tree containing the files
|
|
PACKAGE_NAME is the %{name} of the package. This should also be
|
|
the basename of the .mo files. the output is written to
|
|
PACKAGE_NAME.lang unless \$3 is given in which case output is written
|
|
-to \$3.
|
|
+to \$3 (note that \$3 is appended to if given).
|
|
Additional options:
|
|
- --with-gnome find GNOME help files
|
|
- --with-kde find KDE help files
|
|
+ --without-gnome do not find GNOME help files
|
|
+ --without-kde do not find KDE help files
|
|
--with-qt find Qt translation files
|
|
--with-man find localized man pages
|
|
--all-name match all package/domain names
|
|
@@ -54,8 +54,8 @@ else NAME=$1
|
|
fi
|
|
shift
|
|
|
|
-GNOME=#
|
|
-KDE=#
|
|
+GNOME=
|
|
+KDE=
|
|
QT=#
|
|
MAN=#
|
|
MO=
|
|
@@ -73,6 +73,14 @@ while test $# -gt 0 ; do
|
|
KDE=
|
|
shift
|
|
;;
|
|
+ --without-gnome )
|
|
+ GNOME=#
|
|
+ shift
|
|
+ ;;
|
|
+ --without-kde )
|
|
+ KDE=#
|
|
+ shift
|
|
+ ;;
|
|
--with-qt )
|
|
QT=
|
|
shift
|
|
@@ -97,33 +105,40 @@ while test $# -gt 0 ; do
|
|
esac
|
|
done
|
|
|
|
+if ! test -s $MO_NAME ; then
|
|
+ echo "%defattr (644, root, root, 755)" > $MO_NAME
|
|
+fi
|
|
+
|
|
+MO_NAME_NEW=$MO_NAME.tmp.$$
|
|
+rm -f $MO_NAME_NEW
|
|
+
|
|
find $TOP_DIR -type f -o -type l|sed '
|
|
s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*\.mo$\):%lang(\2) \1\2\3:
|
|
'"$NO_ALL_NAME$MO"'s:\(.*/locale/\)\([^/_]\+\)\(.*/'"$NAME"'\.mo$\):%lang(\2) \1\2\3:
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' > $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
find $TOP_DIR -type d|sed '
|
|
s:'"$TOP_DIR"'::
|
|
-'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'$\):%dir \1:
|
|
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'$\):%dir %doc \1:
|
|
'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'/[a-zA-Z0-9.\_\-]/.\+\)::
|
|
-'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) \1\2:
|
|
-'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
|
|
+'"$NO_ALL_NAME$GNOME"'s:\(.*/gnome/help/'"$NAME"'\/\)\([^/_]\+\):%lang(\2) %doc \1\2:
|
|
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+$\):%dir %doc \1:
|
|
'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]/.\+\)::
|
|
-'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) \1\2:
|
|
+'"$ALL_NAME$GNOME"'s:\(.*/gnome/help/[a-zA-Z0-9.\_\-]\+\/\)\([^/_]\+\):%lang(\2) %doc \1\2:
|
|
s:%lang(.*) .*/gnome/help/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+/.*::
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
find $TOP_DIR -type d|sed '
|
|
s:'"$TOP_DIR"'::
|
|
'"$NO_ALL_NAME$GNOME"'s:\(.*/omf/'"$NAME"'$\):%dir \1:
|
|
'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+$\):%dir \1:
|
|
s:^\([^%].*\)::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
find $TOP_DIR -type f|sed '
|
|
s:'"$TOP_DIR"'::
|
|
@@ -131,7 +146,7 @@ s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$GNOME"'s:\(.*/omf/[a-zA-Z0-9.\_\-]\+/[a-zA-Z0-9.\_\-]\+-\([^/.]\+\)\.omf\):%lang(\2) \1:
|
|
s:^[^%].*::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
KDE3_HTML=`kde-config --expandvars --install html 2>/dev/null`
|
|
if [ x"$KDE3_HTML" != x -a -d "$TOP_DIR$KDE3_HTML" ]; then
|
|
@@ -143,7 +158,7 @@ s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
fi
|
|
|
|
KDE4_HTML=`kde4-config --expandvars --install html 2>/dev/null`
|
|
@@ -156,7 +171,7 @@ s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$KDE"'s:\(.*/HTML/\)\([^/_]\+\)\(.*/[a-zA-Z0-9.\_\-]\+$\):%lang(\2) \1\2\3:
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
fi
|
|
|
|
find $TOP_DIR -type f -o -type l|sed '
|
|
@@ -168,7 +183,7 @@ s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$QT"'s:^\([^%].*/[^/]\+_\([a-zA-Z]\{2\}\)\.qm$\):%lang(\2) \1:
|
|
s:^[^%].*::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
find $TOP_DIR -type d|sed '
|
|
s:'"$TOP_DIR"'::
|
|
@@ -176,17 +191,22 @@ s:'"$TOP_DIR"'::
|
|
'"$ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+$\):%lang(\2) \1*:
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
find $TOP_DIR -type f -o -type l|sed '
|
|
s:'"$TOP_DIR"'::
|
|
'"$NO_ALL_NAME$MAN"'s:\(.*/man/\([^/_]\+\).*/man[a-z0-9]\+/'"$NAME"'\.[a-z0-9].*\):%lang(\2) \1*:
|
|
s:^\([^%].*\)::
|
|
s:%lang(C) ::
|
|
-/^$/d' >> $MO_NAME
|
|
+/^$/d' >> $MO_NAME_NEW
|
|
|
|
-if ! grep -q / $MO_NAME; then
|
|
+if ! grep -q / $MO_NAME_NEW; then
|
|
echo "No translations found for ${NAME} in ${TOP_DIR}"
|
|
+ rm -f $MO_NAME_NEW
|
|
exit 1
|
|
fi
|
|
+
|
|
+sort -u $MO_NAME_NEW >> $MO_NAME
|
|
+rm -f $MO_NAME_NEW
|
|
+
|
|
exit 0
|